Summary:	Allows to play and download videos from YouTube
Summary(de):	Youtube Browser für SMPlayer
Name:		smtube
Version:	17.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
Url:		http://smplayer.sourceforge.net

Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.xz

#----------------------------------------
BuildRequires:	qttools5
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: qtwebkitwidgets5-devel
BuildRequires: desktop-file-utils
#----------------------------------------
Requires: smplayer

%description
SMTube is an application that allows to browse, search and play YouTube
videos. Videos are played back with a media player (by default SMPlayer)
instead of a flash player, this allows better performance,
particularly with HD content. SMTube also allows to download the videos,
with the quality you choose. Several videos can be downloaded at a time.

SMTube is included in SMPlayer's menus, to run it just select Youtube browser
in the Options menu in the SMPlayer main window, or just press F11.

#german
%description -l de
Dies ist ein Youtube-Browser für den SMPayer. 
Es unterstützt das Durchsuchen von Ordnern, allgemeine Suche, sowie das Downloaden
und Abspielen von Youtube Videos. Die Videos werden derzeit in SMPlayer 
abgespielt.


%prep
%setup -qn %{name}-%{version}

# fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' Release_notes.txt Readme.txt Copying.txt

%build
%setup_compile_flags
%make PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
%make_install PREFIX=%{_prefix}

desktop-file-install --vendor="" \
        --remove-key="Encoding" \
 	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc Changelog *.txt
%{_bindir}/%{name}
%{_datadir}/applications/smtube.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/


%changelog
* Tue Apr 04 2017 adrianomorselli <adrianomorselli> 17.1.0-1uplos2017
- update
